### Enumeration

# St TextDecoration

#### Declaration

    flags St.TextDecoration

#### Description [src]

Flags used to determine the decoration of text.

Not that neither `ST_TEXT_DECORATION_OVERLINE` or `ST_TEXT_DECORATION_BLINK` are implemented, currently.

#### Members

`ST_TEXT_DECORATION_UNDERLINE`

  No description available.

  - Value: `1`
  - Available since: 16
`ST_TEXT_DECORATION_OVERLINE`

  Text is overlined.

  - Value: `2`
  - Available since: 16
`ST_TEXT_DECORATION_LINE_THROUGH`

  Text is striked out.

  - Value: `4`
  - Available since: 16
`ST_TEXT_DECORATION_BLINK`

  Text blinks.

  - Value: `8`
  - Available since: 16